Package org.eclipse.emf.cdo.server.db.mapping

# Class AbstractTypeMappingFactory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.emf.cdo.server.db.mapping.AbstractTypeMappingFactory

All Implemented Interfaces:
  `ITypeMapping.Factory`, `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

public abstract class AbstractTypeMappingFactory extends org.eclipse.net4j.util.factory.Factory implements ITypeMapping.Factory
Abstract implementation for `ITypeMapping.Factory`. Implementors should implement their custom `create(String)` method and construct the factory using their custom descriptor. Subclasses must have a default constructor!

Since:
  4.0
Author:
  Stefan Winkler

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

### Fields inherited from interface org.eclipse.emf.cdo.server.db.mapping.ITypeMapping.Factory

`PRODUCT_GROUP`

## Constructor Summary

Constructors
Constructor
Description
`AbstractTypeMappingFactory(ITypeMapping.Descriptor descriptor)`

## Method Summary

Modifier and Type
Method
Description
`abstract ITypeMapping`
`create(String description)`
`final ITypeMapping.Descriptor`
`getDescriptor()`
Return the descriptor of the kind of type mapping created by this factory.

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

`getDescriptionFor, getKey`

## Constructor Details

### AbstractTypeMappingFactory

public AbstractTypeMappingFactory(ITypeMapping.Descriptor descriptor)

## Method Details

### create

public abstract ITypeMapping create(String description) throws org.eclipse.net4j.util.factory.ProductCreationException

Specified by:
  `create` in interface `org.eclipse.net4j.util.factory.IFactory`
Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`

### getDescriptor

public final ITypeMapping.Descriptor getDescriptor()
Description copied from interface: `ITypeMapping.Factory`
Return the descriptor of the kind of type mapping created by this factory.

Specified by:
  `getDescriptor` in interface `ITypeMapping.Factory`